# Maintainer: anon at sansorgan.es
_name=dune-curvedgeometry
pkgname="${_name}-git"
_gitcommit=8a9a9ab4d8909e5af69f74cc5e775d5476153117
pkgver=2.8.r1.8a9a9ab
pkgrel=1
#epoch=
pkgdesc="Implementation of curved dune geometries by lagrange parametrization (git version)"
arch=('x86_64')
url="https://www.dune-project.org/modules/dune-curvedgeometry"
license=('LGPL3')
groups=('dune-iwr-git')
depends=('dune-geometry-git')
makedepends=('dune-grid-git' 'dune-localfunctions-git' 'vc' 'parmetis' 'scotch') #'dune-vtk-git'
# makedepends=('texlive-latexextra' 'biber' 'imagemagick' 'python-sphinx' 'doxygen' 'graphviz' 'gnu-free-fonts' 'inkscape' 'vc' 'parmetis' 'scotch' 'python-setuptools' 'python-wheel')
#checkdepends=()
optdepends=('texlive-latexextra: Type setting system'
  'biber: A Unicode-capable BibTeX replacement for biblatex users'
  'imagemagick: image viewing/manipulation program'
  'python-sphinx: Building Sphinx documentation'
  'doxygen: Generate the class documentation from C++ sources'
  'graphviz: Graph visualization software'
  'inkscape: converts SVG images'
  'vc: C++ Vectorization library'
  'parmetis: Parallel Graph Partitioning and Fill-reducing Matrix Ordering'
  'scotch: Software package and libraries for graph, mesh and hypergraph partitioning, static mapping, and sparse matrix block ordering')
provides=("${_name}=${pkgver%%.r*}")
conflicts=(${_name})
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=(${pkgname}.opts "git+https://gitlab.com/iwr/${_name}#commit=${_gitcommit}")
#noextract=()
sha512sums=('966550dc78dd3d0f5fbefd5b565e18352856ab7ae5bda12e5a044c5c7edfd6c40853f87e44d575118a0f411eb81afc0cde23e42441c8477289e82dc314bdae7b' 'SKIP')

pkgver() {
  cd "${_name}"
  printf "2.8.r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

# prepare() {
# }

build() {
  dunecontrol --opts=${pkgname}.opts cmake -Wno-dev : make #VERBOSE=1
}

check() {
  dunecontrol --opts=${pkgname}.opts make build_tests
  cd "${srcdir}/${_name}/build-cmake"
  # DUNE_CONTROL_PATH="${srcdir}/${_name}"
  dune-ctest
}

package() {
  dunecontrol --only=${_name} make install DESTDIR="${pkgdir}"
  install -Dm644 ${_name}/LICENSE "${pkgdir}/usr/share/licenses/${_name}/LICENSE"
  find "${pkgdir}" -type d -empty -delete
}

